Bug 1051965 - [RFE] External Partners often miss the check box for their company
Summary: [RFE] External Partners often miss the check box for their company
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 4.4
Assignee: Matt Tyson 🤬
QA Contact: Simon Green
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 02:06 UTC by John Skeoch
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version: 4.4.2014
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 01:00:50 UTC


Attachments (Terms of Use)

Description John Skeoch 2014-01-13 02:06:08 UTC
Description of problem:
Users from corporate partners such as Intel often lodge confidential bugs, however the default behaviour of Bugzilla is to show them the Simple Bug submission screen which hides the Partner Group Check boxes. As a result many users neglect to identify the partner group.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Log into Bugzilla with an Intel account
2. Lodge a new bug
3. Observe the standard interface.

Actual results:
The partner group check boxes are initially concealed.

Expected results:
For users with a single regex created partner group can we set that matching Group as enabled by default. Or alternatively can we include the partner group in the simple layout.

Additional info:

Comment 1 Matt Tyson 🤬 2014-02-03 00:31:30 UTC
I've supplied a patch that will show the groups selection checkbox for partner users in the basic interface.

anyone in the redhat group will not see these boxes unless they click for the advanced interface.

The checkboxes are left unchecked by default.  If you would prefer that the partner group checkbox is checked by default let me know and I can update the patch.

Comment 2 Jason McDonald 2014-02-03 01:26:09 UTC
> The checkboxes are left unchecked by default.  If you would prefer that the
> partner group checkbox is checked by default let me know and I can update
> the patch.

@John: Can you provide direction on the above, so I can either approve the current patch or await a new one?

Comment 3 John Skeoch 2014-02-03 01:48:55 UTC
Hi Matt, thanks for showing me what you have worked on so far. I like the solution however I have concerns about the "private group" showing specifically as the description of private reads "bugs not visible by the public" I think its likely that partners unfamiliar with Bugzilla are likely to set this.

Can we either hide this in the Simple view or alter the description to avoid the partners making this mistake?

Comment 4 Simon Green 2014-02-05 01:03:18 UTC
(In reply to John Skeoch from comment #3)
> Hi Matt, thanks for showing me what you have worked on so far. I like the
> solution however I have concerns about the "private group" showing
> specifically as the description of private reads "bugs not visible by the
> public" I think its likely that partners unfamiliar with Bugzilla are likely
> to set this.

Considering the alternative (not selecting any groups), I think this is the best solution. Even if they mark the bug as only being in the private group, the user can always change this later on.

> Can we either hide this in the Simple view or alter the description to avoid
> the partners making this mistake?

This issue was discussed at the weekly Bugzilla meeting today.

Hiding it is not a practical solution. If you want to alter the description of the private group, contact FLS (bugzilla-requests@redhat.com) who can do it for you :-)

Comment 5 Matt Tyson 🤬 2014-02-07 04:10:12 UTC
This has been implemented as described in comment 1.

Comment 7 Matt Tyson 🤬 2014-03-03 01:00:50 UTC
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.